libosmo-sigtran: xua_msg_part Struct Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Data Fields
xua_msg_part Struct Reference

`#include <xua_msg.h>`

## Data Fields
struct llist_head | entry
uint16_t | tag
uint16_t | len
uint8_t * | dat

## Field Documentation

## ◆ dat

uint8_t* xua_msg_part::dat

Referenced by __attribute__(), asp_loadshare_tcap_sccp(), data_hdr_from_m3ua(), format_affected_pcs_c(), ipa_to_msg(), m3ua_decode_notify(), m3ua_rx_rkm_dereg_req(), m3ua_rx_xfer(), m3ua_to_xfer_ind(), m3ua_xfer_from_data(), sccp_add_long_variable_part(), sccp_add_variable_part(), sccp_conn_scu_gen_encode_and_send(), sccp_msg_add_sua_opt(), sclc_rx_cldr(), sclc_rx_cldt(), scrc_rx_mtp_xfer_ind_xua(), sua_addr_parse_part(), tcap_as_rx_sccp_asp(), xua_asp_fsm_inactive(), xua_from_nested(), xua_msg_add_data(), xua_msg_add_u32_data(), xua_msg_copy(), xua_msg_copy_part(), xua_msg_dump(), xua_msg_part_get_str(), xua_msg_part_get_u32(), xua_snm_rx_daud(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_scon(), and xua_to_msg().

## ◆ entry

struct llist_head xua_msg_part::entry

Referenced by m3ua_xfer_from_data(), xua_ies_to_sccp_opts(), xua_msg_add_data(), xua_msg_add_u32_data(), xua_msg_find_tag(), and xua_msg_free_tag().

## ◆ len

uint16_t xua_msg_part::len

Referenced by __attribute__(), asp_loadshare_tcap_sccp(), format_affected_pcs_c(), ipa_to_msg(), m3ua_decode_notify(), m3ua_rx_rkm_dereg_req(), m3ua_rx_rkm_dereg_rsp(), m3ua_rx_rkm_reg_rsp(), m3ua_rx_snm(), m3ua_rx_xfer(), m3ua_to_xfer_ind(), m3ua_xfer_from_data(), sccp_add_long_variable_part(), sccp_add_variable_part(), sccp_conn_scu_gen_encode_and_send(), sccp_msg_add_sua_opt(), sclc_rx_cldr(), sclc_rx_cldt(), sua_addr_parse_part(), tcap_as_rx_sccp_asp(), xua_asp_fsm_inactive(), xua_from_nested(), xua_msg_add_data(), xua_msg_add_u32_data(), xua_msg_copy(), xua_msg_copy_part(), xua_msg_dump(), xua_msg_get_len(), xua_msg_part_get_str(), xua_msg_part_get_u32(), xua_snm_rx_daud(), xua_snm_rx_dava(), xua_snm_rx_duna(), xua_snm_rx_scon(), and xua_to_msg().

## ◆ tag

uint16_t xua_msg_part::tag

Referenced by m3ua_rx_rkm_dereg_rsp(), m3ua_rx_rkm_reg_req(), m3ua_rx_rkm_reg_rsp(), m3ua_xfer_from_data(), sccp_is_mandatory(), sccp_msg_add_sua_opt(), sccp_option_permitted(), sua_addr_parse_part(), xua_msg_add_data(), xua_msg_add_u32_data(), xua_msg_copy(), xua_msg_dump(), xua_msg_find_tag(), xua_msg_free_tag(), and xua_to_msg().

The documentation for this struct was generated from the following file:

- src/xua_msg.h